org.codehaus.groovy.classgen.asm

## Class CompileStack.BlockRecorder

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.CompileStack.BlockRecorder

Enclosing class:
  CompileStack

    public static class CompileStack.BlockRecorder
    extends java.lang.Object

### Field Summary

Fields
`java.lang.Runnable` `excludedStatement`
`java.util.LinkedList<CompileStack.LabelRange>` `ranges`

### Constructor Summary

Constructors
Constructor and Description
`CompileStack.BlockRecorder()`
`CompileStack.BlockRecorder(java.lang.Runnable excludedStatement)`

### Method Summary

Methods
`void` `closeRange(org.objectweb.asm.Label end)`
`void` `startRange(org.objectweb.asm.Label start)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### excludedStatement

    public java.lang.Runnable excludedStatement

#### ranges

    public java.util.LinkedList<CompileStack.LabelRange> ranges

### Constructor Detail

#### CompileStack.BlockRecorder

    public CompileStack.BlockRecorder()

#### CompileStack.BlockRecorder

    public CompileStack.BlockRecorder(java.lang.Runnable excludedStatement)

### Method Detail

#### startRange

    public void startRange(org.objectweb.asm.Label start)

#### closeRange

    public void closeRange(org.objectweb.asm.Label end)